## org.apache.cassandra.service
Class AsyncRepairCallback

    java.lang.Object
      org.apache.cassandra.service.AsyncRepairCallback

All Implemented Interfaces:
  IAsyncCallback, IMessageCallback

    public class AsyncRepairCallback

extends java.lang.Object
implements IAsyncCallback

Field Summary
`protected java.util.concurrent.atomic.AtomicInteger` `received`

Constructor Summary
`AsyncRepairCallback(RowRepairResolver repairResolver, int blockfor)`

Method Summary
`boolean` `isLatencyForSnitch()`
`void` `response(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### received

    protected final java.util.concurrent.atomic.AtomicInteger received

Constructor Detail

### AsyncRepairCallback

    public AsyncRepairCallback(RowRepairResolver repairResolver,
                               int blockfor)

Method Detail

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Parameters:
    `message` - response received.

### isLatencyForSnitch

    public boolean isLatencyForSnitch()

  Specified by:
    `isLatencyForSnitch` in interface `IMessageCallback`
  Returns:
    true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Copyright © 2012 The Apache Software Foundation